%{?drupal7_find_provides_and_requires}

%global module views_slideshow

Name:          drupal7-%{module}
Version:       3.9
Release:       1%{?dist}
Summary:       Views Slideshow can be used to create a slideshow of any content

Group:         Applications/Publishing
License:       GPLv2+
URL:           http://drupal.org/project/%{module}
Source0:       http://ftp.drupal.org/files/projects/%{module}-7.x-%{version}.tar.gz

BuildArch:     noarch
BuildRequires: drupal7-rpmbuild >= 7.23-3

# views_slideshow.info
Requires:      drupal7(views)
# phpcompatinfo (computed from version 3.9)
#     <none>

%description
Views Slideshow can be used to create a slideshow of any content
(not just images) that can appear in a View.
Powered by jQuery, it is heavily customizable:
you may choose slideshow settings for each View you create.

This package provides the following Drupal module:
* %{module}


%prep
%setup -qn %{module}

: Licenses and docs
mkdir -p .rpm/{licenses,docs}
mv LICENSE.txt .rpm/licenses/
mv *.txt .rpm/docs/
mkdir -p .rpm/docs/contrib/views_slideshow_cycle
mv contrib/views_slideshow_cycle/*.txt .rpm/docs/contrib/views_slideshow_cycle/


%build
# Empty build section, nothing to build


%install
mkdir -p %{buildroot}%{drupal7_modules}/%{module}
cp -pr * %{buildroot}%{drupal7_modules}/%{module}/


%files
%{!?_licensedir:%global license %%doc}
%license .rpm/licenses/*
%doc .rpm/docs/*
%{drupal7_modules}/%{module}


%changelog
* Sun Jul 02 2017 Shawn Iwinski <shawn.iwinski@gmail.com> - 3.9-1
- Updated to 3.8 (RHBZ #1459867)

* Sat Apr 08 2017 Shawn Iwinski <shawn.iwinski@gmail.com> - 3.8-1
- Updated to 3.8 (RHBZ #1429717)

* Mon Feb 27 2017 Shawn Iwinski <shawn.iwinski@gmail.com> - 3.6-1
- Updated to 3.6 (RHBZ #1422853)

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Jan 23 2017 Shawn Iwinski <shawn.iwinski@gmail.com> - 3.5-1
- Updated to 3.5 (RHBZ #1410265)

* Thu Dec 29 2016 Shawn Iwinski <shawn.iwinski@gmail.com> - 3.2-2
- Add missing drupal7(views) dependency

* Thu Dec 29 2016 Shawn Iwinski <shawn.iwinski@gmail.com> - 3.2-1
- Updated to 3.2 (RHBZ #1408732)

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 23 2014 Peter Borsa <peter.borsa@gmail.com> 3.1-1
- Initial package
